MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025111Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-07-30 09:182014-11-11 12:58
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025111: Incomplete section curve between Conical and Toroidal surfaces
DescriptionThe section curve between attached Conical and Toroidal surfaces is incomplete.

The case is Customer case [task: PLXS-02-003, #C3]
Steps To Reproducerestore s1 s1
restore s2 s2
mkface f1 s1
mkface f2 s2
donly f1 f2
fit
bop f1 f2
bopsection res
explode res v
#must be 3 vertices
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25111
Attached Files? file icon s1 (140 bytes) 2014-07-30 09:18
? file icon s2 (60 bytes) 2014-07-30 09:18
png file icon 01.png (14,514 bytes) 2014-07-30 09:18

- Relationships

-  Notes
(0030527)
git (administrator)
2014-08-01 16:05

Branch CR25111 has been created by jgv.

SHA-1: 83fd18f61b0dffd843d52af76453d4ffa86a66af
(0030528)
jgv (developer)
2014-08-01 16:07

Please review the branch CR25111.
(0030529)
emv (developer)
2014-08-01 16:18

Reviewed, please test.
(0030536)
git (administrator)
2014-08-01 17:20

Branch CR25111 has been updated forcibly by apv.

SHA-1: 13d2e19e090b827fe85ef63e76bc72b86fffcd55
(0030579)
apv (tester)
2014-08-05 15:36

Dear BugMaster,

Branch CR25111 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 13d2e19e090b827fe85ef63e76bc72b86fffcd55

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 196 (196 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25111-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25111-master-occt/Windows-32-VC10/summary.html [^]
bugs modalg_4 bug825
draft angle G2

Testing cases:
Absent

Testing on Linux:
Total MEMORY difference: 352389640 / 351896028
Total CPU difference: 45435.52000000017 / 46364.12000000032

Testing on Windows:
Total MEMORY difference: 239401264 / 239708164
Total CPU difference: 33253.03125 / 30708.296875

There are differences in images found by testdiff:
http://occt-tests/CR25111-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25111-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0030837)
jgv (developer)
2014-08-18 15:20

Concerning the regressions:

bugs modalg_4 bug825
it is really improvement, please update test case to new state;

draft angle G2
it is a variant of "normal behavior" for this case: the result is visually good but invalid (bad orientation of subshape), that's why the area may occur negative. Please add new "TODO".
(0030858)
mkv (tester)
2014-08-18 20:12

Dear BugMaster,
Test cases
bugs modalg_4(009) bug825
draft angle(001) G2
are corrected and pushed to branch CR25111.
Now its are OK:
http://occt-tests/CR25111-master-occt/Debian60-64/bugs/modalg_4/bug825.html [^]
http://occt-tests/CR25111-master-occt/Windows-32-VC10/bugs/modalg_4/bug825.html [^]

http://occt-tests/CR25111-master-occt/Debian60-64/draft/angle/G2.html [^]
http://occt-tests/CR25111-master-occt/Windows-32-VC10/draft/angle/G2.html [^]
(0030859)
git (administrator)
2014-08-18 20:14

Branch CR25111 has been updated by mkv.

SHA-1: ed4327612f308402855cdad95d726d541a6cd962


      from 13d2e19 0025111: Incomplete section curve between Conical and Toroidal surfaces
       new ed43276 Correction of test cases for CR25111


Detailed log of new commits:

commit ed4327612f308402855cdad95d726d541a6cd962
Author: mkv
Date: Mon Aug 18 20:11:54 2014 +0400

    Correction of test cases for CR25111

(0030909)
mkv (tester)
2014-08-19 19:18

Dear BugMaster,
test case was addeded:

http://occt-tests/CR25111-master-occt/Debian60-64/bugs/modalg_5/bug25111.html [^]
http://occt-tests/CR25111-master-occt/Windows-32-VC10/bugs/modalg_5/bug25111.html [^]
bugs modalg_5(010) bug25111: OK
(0030910)
git (administrator)
2014-08-19 19:19

Branch CR25111 has been updated by mkv.

SHA-1: aadb4eb09ff9f667d2ab01842b3ad1a52bff56d5


      from ed43276 Correction of test cases for CR25111
       new aadb4eb Test cases for issue CR25111


Detailed log of new commits:

commit aadb4eb09ff9f667d2ab01842b3ad1a52bff56d5
Author: mkv
Date: Tue Aug 19 19:19:00 2014 +0400

    Test cases for issue CR25111

(0031469)
git (administrator)
2014-09-08 15:51

Branch CR25111 has been deleted by inv.

SHA-1: aadb4eb09ff9f667d2ab01842b3ad1a52bff56d5

- Related Changesets
occt: master 10ee9976
Timestamp: 2014-08-21 08:04:56
Author: jgv
Committer: bugmaster
Details ] Diff ]
0025111: Incomplete section curve between Conical and Toroidal surfaces

Correction of test cases for CR25111

Test cases for issue CR25111
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - tests/bugs/modalg_4/bug825 Diff ] File ]
add - tests/bugs/modalg_5/bug25111 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-30 09:18 emv New Issue
2014-07-30 09:18 emv Assigned To => ifv
2014-07-30 09:18 emv File Added: s1
2014-07-30 09:18 emv File Added: s2
2014-07-30 09:18 emv File Added: 01.png
2014-07-30 09:50 pkv Status new => assigned
2014-07-30 09:51 pkv Description Updated View Revisions
2014-08-01 16:05 git Note Added: 0030527
2014-08-01 16:07 jgv Assigned To ifv => jgv
2014-08-01 16:07 jgv Note Added: 0030528
2014-08-01 16:07 jgv Status assigned => resolved
2014-08-01 16:08 jgv Assigned To jgv => emv
2014-08-01 16:18 emv Note Added: 0030529
2014-08-01 16:18 emv Assigned To emv => mkv
2014-08-01 16:18 emv Status resolved => reviewed
2014-08-01 17:20 git Note Added: 0030536
2014-08-05 15:36 apv Note Added: 0030579
2014-08-05 15:38 apv Assigned To mkv => jgv
2014-08-05 15:38 apv Status reviewed => assigned
2014-08-05 19:29 abv Target Version => 6.8.0
2014-08-18 15:20 jgv Note Added: 0030837
2014-08-18 15:20 jgv Status assigned => resolved
2014-08-18 15:20 jgv Assigned To jgv => mkv
2014-08-18 16:24 jgv Status resolved => reviewed
2014-08-18 20:12 mkv Note Added: 0030858
2014-08-18 20:14 git Note Added: 0030859
2014-08-19 16:52 jgv Steps to Reproduce Updated View Revisions
2014-08-19 19:18 mkv Note Added: 0030909
2014-08-19 19:19 git Note Added: 0030910
2014-08-19 19:20 mkv Test case number => bugs modalg_5(010) bug25111
2014-08-19 19:20 mkv Assigned To mkv => bugmaster
2014-08-19 19:20 mkv Status reviewed => tested
2014-08-22 15:42 bugmaster Changeset attached => occt master 10ee9976
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:51 git Note Added: 0031469
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker